
char *helptext = "a synthesiser emulation package.\n\
\n\
    You should start this package with the startBristol script. This script\n\
    will start up the bristol synthesiser binaries, evaluating the correct\n\
    library paths and executable paths. There are emulation, synthesiser,\n\
    operational parameters and GUI parameters:\n\
\n\
    Emulation:\n\
\n\
        -mini              - moog mini\n\
        -explorer          - moog voyager\n\
        -memory            - moog memory\n\
        -hammond           - hammond module\n\
        -b3                - hammond B3\n\
        -pro5|-prophet     - sequential circuits prophet-5\n\
        -pro52             - sequential circuits prophet-5 with chorus\n\
        -pro10             - sequential circuits prophet-10\n\
        -rhodes            - fender rhodes mark-I stage 73\n\
        -rhodesbass        - fender rhodes bass piano\n\
        -obx               - oberheim OB-X\n\
        -obxa              - oberheim OB-Xa\n\
        -axxe              - arp axxe\n\
        -odyssey           - arp odyssey\n\
        -2600              - arp 2600 (default)\n\
        -juno              - roland juno-6\n\
        -dx                - yamaha DX-7\n\
        -vox               - vox continental\n\
        -mixer             - 16 track mixer (-libtest only)\n\
\n\
    Synthesiser:\n\
\n\
        -voices <n>        - operate with a total of 'n' voices, default 16\n\
        -channel <c>       - initial midi channel selected to 'c', default 1\n\
\n\
    User Interface:\n\
\n\
        -quality <n>       - accuracy of color selection 20..100% (95)\n\
        -opacity <n>       - opacity of the patch layer 20..100% (50)\n\
        -load <m>          - load memory number 'm' (default 0)\n\
        -logo              - do not display watermarked logo on startup\n\
\n\
        Gui key strokes:\n\
\n\
            'l'            - show/hide logo transparency\n\
            't'            - toggle opacity\n\
            'o'            - decrease opacity of patch layer\n\
            'O'            - increase opacity of patch layer\n\
            'p'            - screendump to /tmp/<synth>.xpm\n\
            'k'/'UpArrow'  - controller motion upwards (shift key accelerator)\n\
            'j'/'DownArrow'- controller motion downwards (shift key accelerator)\n\
\n\
    Operational:\n\
\n\
        General:\n\
\n\
            -engine        - don't start engine (connect to current invocation)\n\
            -port <p>      - connect to engine on TCP port 'p' (default 5028)\n\
            -libtest       - just display a GUI\n\
            -quiet         - redirect diagnostic output to /dev/null\n\
            -oss           - use OSS defaults for audio and MIDI\n\
            -alsa          - use ALSA defaults for audio and MIDI (default)\n\
            -jack          - use Jack for audio, ALSA SEQ for MIDI\n\
            -o <filename>  - Duplicate audio output data to file\n\
\n\
        Audio driver:\n\
\n\
            -audio [oss|alsa|jack] - audio driver selection\n\
            -audiodev <dev>        - audio device selection\n\
            -count <samples>       - sample period size, default 256 samples\n\
            -gain <gn>             - digital output signal gain (default 4)\n\
            -outgain <gn>          - digital output signal gain (default 4)\n\
            -ingain <gn>           - digital input signal gain (default 4)\n\
            -preload <buffers>     - configure preload buffer count (default 8)\n\
            -rate <hz>             - sample rate (44100)\n\
\n\
        Midi driver:\n\
\n\
            -midi [oss|alsa|seq]   - midi driver selection\n\
            -mididev <dev>         - midi device selection\n\
            -seq                   - use the ALSA SEQ interface (default)\n\
\n\
    Audio drivers are PCM/PCM plug or Jack. Midi drivers are either OSS/ALSA\n\
    rawmidi interface, or ALSA SEQ. Multple GUIs can connect to the single\n\
    audio engine, which then operates multitimbrally.\n\
\n\
    Examples:\n\
\n\
    startBristol\n\
        Print a terse help message.\n\
\n\
    startBristol -mini\n\
\n\
        Run a minimoog using ALSA interface for audio and midi seq. This is\n\
        equivalent to all the following options:\n\
        -mini -alsa -audiodev plughw:0,0 -midi seq -count 256 -preload 8 \n\
        -port 5028 -voices 16 -channel 1 -rate 44100 -gain 4 -ingain 4\n\
\n\
    startBristol -alsa -mini\n\
\n\
        Run a minimoog using ALSA interface for audio and midi. This is\n\
        equivalent to all the following options:\n\
        -mini -audio alsa -audiodev plughw:0,0 -midi alsa -mididev hw:0\n\
        -count 256 -preload 8 -port 5028 -voices 16 -channel 1 -rate 44100\n\
\n\
    startBristol -explorer -voices 1\n\
\n\
        Run a moog explorer as a monophonic instrument, using OSS interface for\n\
        audio and midi.\n\
\n\
    startBristol -prophet -alsa -channel 3\n\
\n\
        Run a prophet-5 using ALSA for audio and midi (on channel 3).\n\
\n\
    startBristol -b3 -count 512 -preload 2\n\
\n\
        Run a hammond b3 with a buffer size of 512 samples, and preload two \n\
        such buffers before going active. Some Live! cards need this larger\n\
        buffer size with ALSA drivers.\n\
\n\
    startBristol -oss -audiodev /dev/dsp1 -vox -voices 8\n\
\n\
        Run a vox continental using OSS device 1, and default midi device\n\
        /dev/midi0. Operate with just 8 voices.\n\
\n\
    startBristol -b3 -audio alsa -audiodev plughw:0,0 -seq -mididev 128.0\n\
\n\
        Run a B3 emulation over the ALSA PCM plug interface, using the ALSA\n\
        sequencer over client 128, port 0.\n\
\n\
    startBristol -juno &\n\
    startBristol -prophet -channel 2 -engine\n\
\n\
        Start two synthesisers, a juno and a prophet. Both synthesisers will\n\
        will be executed on one engine (multitimbral) with 16 voices between \n\
        them. The juno will be on default midi channel (1), and the prophet on\n\
        channel 2. Output over the same default ALSA audio device.\n\
\n\
    startBristol -juno &\n\
    startBristol -port 5029 -audio oss -audiodev /dev/dsp1 -mididev /dev/midi1\n\
\n\
        Start two synthesisers, a juno on the first ALSA soundcard, and a\n\
        mini on the second OSS soundcard. Each synth is totally independant\n\
        and runs with 16 voice polyphony (looks nice, but not been tested).\n\
\n\
    Author: Nick Copeland\n\
    email: nickycopeland@hotmail.com\n\
\n\
Bristol is in no manner associated with any of the original manufacturers of\n\
any of the emulated instruments. All names and trademarks of property are\n\
their respective owners.\n\
\n\
";

